is.igraph {igraph} | R Documentation

## Is this object a graph?

### Description

`is.graph` makes its decision based on the class attribute of the object.

### Usage

    is.igraph(graph)

### Arguments

`graph` | An R object.

### Value

A logical constant, `TRUE` if argument `graph` is a graph object.

### Author(s)

Gabor Csardi csardi@rmki.kfki.hu

### Examples

    g <- graph.ring(10)
    is.igraph(g)
    is.igraph(numeric(10))

[Package igraph version 0.5.2 Index]